using Core.Abstractions.DomainObjects;
using Core.DomainObjects.L10n;

namespace Core.DomainObjects.Documents {
  public class Category : DomainObjectDocumentBase<Category> {
    public Guid SiteId { get; set; }
    public List<CategoryL10n> L10n { get; set; }
 
    public override int GetHashCode() {
      unchecked {
        int hash = 17;
        hash = hash * 23 + Id.GetHashCode();
        hash += L10n.Sum(x => x.GetHashCode() * 23);
        return hash;
      }
    }
  }
}
